Bug 20062 - upgraded /bin/mail cannot be used as mailreader
upgraded /bin/mail cannot be used as mailreader
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 15:46 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 15:46:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-30 15:46:50 EST
/bin/mail which comes with the security upgraded mailx-8.1.1-16 for RH 5.2
seems to open the
/var/spool/mail/$USER readonly, and when it tries to delete or change the
flag on a message, 
it dumpes core.

Believe it or not, people still use /bin/mail as reader.
Comment 1 Derek Tattersall 2000-10-31 08:37:13 EST
I straced mailx on a 5.2 system with all applicable updates.  mailx was at
8.1.1-16.  /var/spool/mail/xxx was indeed opened O_RDONLY; however it was closed
and reopened O_WRONLY |  O_TRUNC.  Upon supplying d1 to the prompt the 1st and
only message was deleted.

Can't reproduce this bug.

Note You need to log in before you can comment on or make changes to this bug.